CREATE TABLESPACE TS_PTOVENTA_DATA 
   DATAFILE 'TS_PTOVENTA_DATA_01.ORA' 
   SIZE 1900M;
CREATE TABLESPACE TS_PTOVENTA_IDX 
   DATAFILE 'TS_PTOVENTA_IDX_01.ORA' 
   SIZE 800M;

CREATE USER ptoventa 
    IDENTIFIED BY mundial265 
    DEFAULT TABLESPACE TS_PTOVENTA_DATA
    TEMPORARY TABLESPACE temp;
GRANT CREATE SESSION TO ptoventa; 
GRANT ALL PRIVILEGES TO ptoventa;    

GRANT EXECUTE ON SYS.UTL_FILE TO ptoventa;   
GRANT EXECUTE ON SYS.UTL_SMTP TO ptoventa;  
GRANT EXECUTE ON SYS.UTL_TCP TO ptoventa;  
GRANT EXECUTE ON SYS.DBMS_LOCK TO ptoventa; 
GRANT EXECUTE ON SYS.utl_http TO ptoventa;

GRANT SELECT ON V_$INSTANCE TO ptoventa;
GRANT SELECT ON V_$SESSION TO ptoventa;
GRANT SELECT ON V_$DATABASE TO ptoventa;

CREATE USER APPS_TMP 
    IDENTIFIED BY APPS_TMP;
GRANT ALL PRIVILEGES TO APPS_TMP;

CREATE USER inkafarma 
    IDENTIFIED BY inkafarma;
GRANT ALL PRIVILEGES TO inkafarma;

CREATE USER DELIVERY 
    IDENTIFIED BY DELIVERY;
GRANT ALL PRIVILEGES TO DELIVERY;

CREATE USER apps 
    IDENTIFIED BY apps;
GRANT ALL PRIVILEGES TO apps;

CREATE USER PTOVENTA_CUPON 
    IDENTIFIED BY PTOVENTA_CUPON;
GRANT ALL PRIVILEGES TO PTOVENTA_CUPON;

CREATE USER MAESTROSCTL
    IDENTIFIED BY MAESTROSCTL;
GRANT ALL PRIVILEGES TO MAESTROSCTL;

CREATE USER PTOVENTA_MATRIZ
    IDENTIFIED BY PTOVENTA_MATRIZ;
GRANT ALL PRIVILEGES TO PTOVENTA_MATRIZ;

create public database link
  XE_DEL_999
connect to
  DELIVERY
identified by
  DELIVERY
using '127.0.0.1:1521/XE';

create public database link
  XE_000
connect to
  ptoventa
identified by
  mundial265
using '127.0.0.1:1521/XE';

create public database link
  DB_RACPTO_CONTNA
connect to
  PTOVENTA_CUPON
identified by
  PTOVENTA_CUPON
using '127.0.0.1:1521/XE';

create public database link
  DB_TEST_RACDESA
connect to
  PTOVENTA_CUPON
identified by
  PTOVENTA_CUPON
using '127.0.0.1:1521/XE';


CREATE DIRECTORY DIR_EXPORTADOR AS '/EXPORTADOR';
CREATE DIRECTORY DIR_ORACLE AS '/oracle';

CREATE TABLE "PTOVENTA"."ALERT_LOG_DISK" 
   (	"TEXT" VARCHAR2(2000)
   ) ;
